SDL_GamepadAxisEvent(3type)

NAME
SDL_GamepadAxisEvent - Gamepad axis motion event structure (event.gaxis.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GamepadAxisEvent
{
    SDL_EventType type; /**< ::SDL_EVENT_GAMEPAD_AXIS_MOTION */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_JoystickID which; /**< The joystick instance id */
    Uint8 axis;         /**< The gamepad axis (SDL_GamepadAxis) */
    Uint8 padding1;
    Uint8 padding2;
    Uint8 padding3;
    Sint16 value;       /**< The axis value (range: -32768 to 32767) */
    Uint16 padding4;
} SDL_GamepadAxisEvent;

AVAILABILITY
This struct is available since SDL 3.0.0.